%define modname chai

Name:               python-%{modname}
Version:            1.1.2
Release:            %mkrel 5
Summary:            Easy to use mocking/stub framework
Group:              Development/Python
License:            BSD
URL:                https://pypi.org/project/chai/
Source0:            https://pypi.io/packages/source/c/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      pkgconfig(python3)
BuildRequires:      python3dist(nose)

%description
Chai provides a very easy to use api for mocking/stubbing your python
objects, patterned after the Mocha <http://mocha.rubyforge.org/> library
for Ruby.

%package -n         python3-%{modname}
Summary:            Easy to use mocking/stub framework
Group:              Development/Python
%{?python_provide:%python_provide python3-%{modname}}

%description -n python3-%{modname}
Chai provides a very easy to use api for mocking/stubbing your python
objects, patterned after the Mocha <http://mocha.rubyforge.org/> library
for Ruby.

%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info

%build
# Remove python2 compatibility files
# Makes tests fail and are not needed on python3
rm chai/python2.py
rm tests/comparator_py2.py
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{modname}
%doc README.rst LICENSE.txt
%{python3_sitelib}/%{modname}/
%{python3_sitelib}/%{modname}-%{version}-*



%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.1.2-5.mga8
+ Revision: 1533112
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 daviddavid <daviddavid> 1.1.2-4.mga8
+ Revision: 1443460
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 1.1.2-3.mga7
+ Revision: 1350340
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.1.2-2.mga7
+ Revision: 1288404
- Mageia 7 Mass Rebuild

* Fri Apr 20 2018 kekepower <kekepower> 1.1.2-1.mga7
+ Revision: 1220424
- Update to version 1.1.2
- Renamed python-chai to python2-chai
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 1.1.0-3.mga7
+ Revision: 1135337
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 1.1.0-2.mga6
+ Revision: 971188
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 philippem <philippem> 1.1.0-1.mga6
+ Revision: 889672
- update to 1.1.0

* Thu Oct 08 2015 tv <tv> 0.4.8-5.mga6
+ Revision: 887539
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.4.8-4.mga5
+ Revision: 743731
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.8-3.mga5
+ Revision: 728217
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.8-2.mga5
+ Revision: 687925
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 0.4.8-1.mga5
+ Revision: 669715
- imported package python-chai

